Skip to content

Get account closure request details

GET
/order/v1/banking/accounts/close-requests/{closeAccountRequestId}

Retrieve the details of an account closure request by its ID.

closeAccountRequestId
required
string format: uuid

Identifier of the close account request

The resource was returned successfully

object
closeAccountRequestId
required

Identifier of the close account request.

string
status
required

Status of the close account request.

string
Allowed values: PENDING CONFIRMED CANCELLED
accountId
required

Identifier of the account.

string
closeRequestReason

Reason informed by the caller when creating the request.

string
closureReason

Closure reason set on analysis.

string
Allowed values: CUSTOMER_REQUEST INACTIVITY FRAUD_SUSPECTED RISK_POLICIES REGULATORY_REQUEST DUPLICATE_ACCOUNT
analysisObservation

Observation added on analysis.

string
analysedBy

Who analysed the request.

object
name
required

Name of who analysed the request.

string
email
required

Email of who analysed the request.

string
statusHistory

History of status transitions.

Array<object>
object
status
required

Status at this point in the history.

string
Allowed values: PENDING CONFIRMED CANCELLED
createdAt
required

When this status was reached.

string
createdAt
required

Creation date.

string
updatedAt

Last update date.

string
object
error
string
Example
INVALID_REQUEST
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[
{
"field": "field_name",
"issue": "INVALID",
"description": "Field is invalid"
}
]

Unauthorized Request

object
error
string
Example
UNAUTHORIZED
message
string
Example
Unauthorized Request
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
FORBIDDEN_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]

Resource not found

object
error
string
Example
NOT_FOUND
message
string
Example
Resource not found
details
Array<object>
object
field
string
issue
string
description
string
Example
[]
object
error
string
Example
INTERNAL_ERROR
message
string
details
Array<object>
object
field
string
issue
string
description
string
Example
[]